﻿﻿@model Cdio447.Models.info_players
@using Cdio447.Supports
@using Cdio447.Code
@{
    ViewBag.Title = "Detail";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var checkLogin = (Cdio447.Code.UserSession)ViewBag.checkLogin;
    var checkRent = ViewBag.checkRent;
}
@section styles {
    <style>
        .modal.show .modal-dialog {
            -webkit-transform: translate(0,0);
            transform: translate(0,-13%);
        }
    </style>
}
<input type="hidden" id="getId" />
@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "__AjaxAntiForgeryForm" }))
{
    @Html.AntiForgeryToken()
}
<div class="player-detail my-3">
    <div class="row">
        <div class="col-lg-3 order-1 order-lg-1">
            <div class="player-profile-left">
                <div class="img">
                    <img class="w-100" src="@Url.Content("~/Content/assets/img/" + @Model.users.avatar)" />
                </div>
                <div class="icon-link d-flex mt-3 mb-2 justify-content-center">
                    @if (Model.link_fb != null)
                    {
                        <div class="icon-link-fb">
                            <a href="@Model.link_fb" target="_blank">
                                <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                     viewBox="0 0 112.196 112.196" style="enable-background:new 0 0 112.196 112.196;" xml:space="preserve">
                                <g>
                                <circle style="fill:#3B5998;" cx="56.098" cy="56.098" r="56.098" />

                                <path style="fill:#FFFFFF;" d="M70.201,58.294h-10.01v36.672H45.025V58.294h-7.213V45.406h7.213v-8.34
		                    c0-5.964,2.833-15.303,15.301-15.303L71.56,21.81v12.51h-8.151c-1.337,0-3.217,0.668-3.217,3.513v7.585h11.334L70.201,58.294z" />

                            </g>
                            </svg>
                            </a>
                        </div>
                    }
                    @if (Model.link_messenger != null)
                    {
                        <div class="icon-link-messenger mx-2">
                            <a href="@Model.link_messenger" target="_blank">
                                <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                     viewBox="0 0 512.05 512.05" style="enable-background:new 0 0 512.05 512.05;" xml:space="preserve">
                                <path style="fill:#2196F3;" d="M256.025,0.05C117.67-2.678,3.184,107.038,0.025,245.383c0.361,70.423,31.544,137.157,85.333,182.613
	                            v73.387c0,5.891,4.776,10.667,10.667,10.667c1.999,0,3.958-0.562,5.653-1.621l59.456-37.141
	                            c30.292,11.586,62.459,17.494,94.891,17.429c138.355,2.728,252.841-106.988,256-245.333C508.866,107.038,394.38-2.678,256.025,0.05z
	                            " />

                                <path style="fill:#FAFAFA;" d="M424.558,174.983c-3.174-4.254-8.993-5.527-13.653-2.987l-110.933,60.48l-69.013-59.179
	                            c-4.232-3.628-10.544-3.387-14.485,0.555l-128,128c-4.153,4.178-4.133,10.932,0.046,15.085c3.341,3.321,8.464,4.057,12.605,1.811
	                            l110.933-60.48l69.077,59.2c4.232,3.628,10.544,3.387,14.485-0.555l128-128C427.35,185.148,427.75,179.215,424.558,174.983z" />

                            </svg>
                            </a>
                        </div>
                    }
                    @if (Model.link_insta != null)
                    {
                        <div class="icon-link-insta">
                            <a href="@Model.link_insta" target="_blank">
                                <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                     viewBox="0 0 551.034 551.034" style="enable-background:new 0 0 551.034 551.034;" xml:space="preserve">
                                <linearGradient id="SVGID_1_" gradientUnits="userSpaceOnUse" x1="275.517" y1="4.57" x2="275.517" y2="549.72" gradientTransform="matrix(1 0 0 -1 0 554)">
                                <stop offset="0" style="stop-color:#E09B3D" />

                                <stop offset="0.3" style="stop-color:#C74C4D" />

                                <stop offset="0.6" style="stop-color:#C21975" />

                                <stop offset="1" style="stop-color:#7024C4" />



	                        </linearGradient>
                                <path style="fill:url(#SVGID_1_);" d="M386.878,0H164.156C73.64,0,0,73.64,0,164.156v222.722
		                    c0,90.516,73.64,164.156,164.156,164.156h222.722c90.516,0,164.156-73.64,164.156-164.156V164.156
		                    C551.033,73.64,477.393,0,386.878,0z M495.6,386.878c0,60.045-48.677,108.722-108.722,108.722H164.156
		                    c-60.045,0-108.722-48.677-108.722-108.722V164.156c0-60.046,48.677-108.722,108.722-108.722h222.722
		                    c60.045,0,108.722,48.676,108.722,108.722L495.6,386.878L495.6,386.878z" />

                                <linearGradient id="SVGID_2_" gradientUnits="userSpaceOnUse" x1="275.517" y1="4.57" x2="275.517" y2="549.72" gradientTransform="matrix(1 0 0 -1 0 554)">
                                <stop offset="0" style="stop-color:#E09B3D" />

                                <stop offset="0.3" style="stop-color:#C74C4D" />

                                <stop offset="0.6" style="stop-color:#C21975" />

                                <stop offset="1" style="stop-color:#7024C4" />

	                        </linearGradient>
                                <path style="fill:url(#SVGID_2_);" d="M275.517,133C196.933,133,133,196.933,133,275.516s63.933,142.517,142.517,142.517
		                    S418.034,354.1,418.034,275.516S354.101,133,275.517,133z M275.517,362.6c-48.095,0-87.083-38.988-87.083-87.083
		                    s38.989-87.083,87.083-87.083c48.095,0,87.083,38.988,87.083,87.083C362.6,323.611,323.611,362.6,275.517,362.6z" />

                                <linearGradient id="SVGID_3_" gradientUnits="userSpaceOnUse" x1="418.31" y1="4.57" x2="418.31" y2="549.72" gradientTransform="matrix(1 0 0 -1 0 554)">
                                <stop offset="0" style="stop-color:#E09B3D" />

                                <stop offset="0.3" style="stop-color:#C74C4D" />

                                <stop offset="0.6" style="stop-color:#C21975" />

                                <stop offset="1" style="stop-color:#7024C4" />

	                        </linearGradient>
                                <circle style="fill:url(#SVGID_3_);" cx="418.31" cy="134.07" r="34.15" />

                            </svg>
                            </a>
                        </div>
                    }
                </div>
                <div class="status text-center mb-3">
                    @switch (Model.users.status)
                    {
                        case 1:
                            <p class="m-0" style="color: #0d98d9">Đang sẵn sàng</p>
                            break;
                        case 2:
                            <p class="m-0" style="color: #e80b0b">Đang được thuê</p>
                            break;
                        case 3:
                            <p class="m-0" style="color: #646464">Tạm thời đang bị khóa</p>
                            break;
                    }
                </div>
                <div class="time-rent text-center mb-3">
                    <span id="h"></span> :
                    <span id="m"></span> :
                    <span id="s"></span>
                </div>
                <div class="tag py-2">
                    <h5 class="text-center">Tags</h5>
                    <p class="m-0">@Model.tag</p>
                    <div class="tag-append">
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6 order-3 order-lg-2">
            <div class="player-profile-mid">
                <div class="name mb-2">
                    <h3 class="m-0">@Model.users.display_name</h3>
                </div>
                <div class="info">
                    <div class="row">
                        <div class="col-12">
                            <p class="mb-1">Tổng số giờ được thuê</p>
                            <p class="m-0">@Model.total_time</p>
                        </div>
                        <div class="col-12">
                            <div class="info-detail my-2">
                                <h3 class="pb-1">Thông tin</h3>
                                <p><b>@Model.title</b></p>
                                <!-- List player's games -->
                                @if (Model.users.player_game.Count > 0)
                                {
                                    <div class="my-3">
                                        <p class="mb-0"><b>Các tựa game có thể chơi</b></p>
                                        @foreach (var get in Model.users.player_game)
                                        {
                                            <li>@get.games.name</li>
                                        }
                                    </div>
                                }
                                <p><b>Mô tả thêm</b></p>
                                <p class="text-justify">@Model.description</p>
                            </div>
                        </div>
                        @if (Model.link_youtube != null || Model.link_youtube != "")
                        {
                            var urlYt = "https://www.youtube.com/embed/" + Model.link_youtube;
                            <div class="col-12">
                                <div class="info-youtube">
                                    <iframe style="width: 100%; height:350px" src="@urlYt" frameborder="1"
                                            allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                                </div>
                            </div>
                        }
                        <!-- Form comment -->
                        @{Html.RenderAction("Comment_player", "Home");}
                        <!-- End form comment -->
                        <div class="col-12">
                            <div class="info-comment-render my-2">
                            </div>
                            <script id="scriptRenderComment" type="text/x-jsrender">
                                <div class=" mt-3 py-lg-2">
                                    <div class="info-comment-box d-flex">
                                        <div class="img-small px-2">
                                            <img src="/Content/assets/img/{{:avatar}}">
                                        </div>
                                        <div class="content d-flex justify-content-between">
                                            <div class="time">
                                                <p class="m-0">{{:display_name}}</p>
                                                <p class="m-0">{{:created_at}}</p>
                                            </div>
                                            <div class="star">
                                                {{for ~countNumberStar(number_star)}}
                                                <i class="fa fa-star"></i>
                                                {{/for}}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="info-comment-content">
                                        <p class="mt-1 mb-0">{{:contents}}</p>
                                    </div>
                                </div>
                            </script>
                            <div class="text-center py-2 Pager"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 order-2 order-lg-3">
            <div class="player-profile-right">
                <div class="price">
                    <h3>@FunctionSupport.convertVND((decimal)Model.amount_in_one, "đ/h")</h3>
                </div>
                <div class="rent">
                    @if (checkLogin == null)
                    {
                        <p class="text-primary mb-0">Bạn cần đăng nhập để thuê player này</p>
                    }
                    else if (Model.users.status == 2)
                    {
                        <p class="text-primary mb-0">Player này đang được thuê</p>
                    }
                    else if (checkRent == 1)
                    {
                        <p class="text-primary mb-0">Bạn vừa yêu cầu thuê player này, đang đợi player xử lý</p>
                    }
                    else
                    {
                        <button class="btn btn_template w-100" data-toggle="modal" data-target="#modalRent">THUÊ</button>
                    }
                </div>
            </div>
        </div>
        @if (checkLogin != null && checkRent != 1)
        {
            <div class="modal fade" id="modalRent" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header justify-content-center">
                            <h4 class="m-0" id="exampleModalLongTitle">THUÊ PLAYER</h4>
                        </div>
                        <div class="modal-body">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <td>Player:</td>
                                        <td>@Model.users.display_name</td>
                                    </tr>
                                    <tr>
                                        <td><span>Thời gian muốn thuê</span>:</td>
                                        <td>
                                            <select id="timeRent" class="form-control">
                                                <option value="1">1 giờ</option>
                                                <option value="2">2 giờ</option>
                                                <option value="3">3 giờ</option>
                                            </select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span>Chi phí</span>:</td>
                                        <td>
                                            <input type="hidden" id="getAmount" value="@Model.amount_in_one" />
                                            <span class="priceRent">@FunctionSupport.convertVND((decimal)Model.amount_in_one, " đ")</span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span>Số dư hiện tại</span>:</td>
                                        <td><span class="total-amount">@FunctionSupport.convertVND(checkLogin.current_money, " đ")</span></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <textarea cols="20" placeholder="Nhập một tin nhắn ..." id="messageRent" type="text"
                                                      class="form-control"></textarea>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>
                        <div class="modal-footer">
                            <button type="button" id="rentPlayer" class="btn btn_template">Thuê</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
@section userDetail {
    <script src="~/Content/assets/js/ASPSnippets_Pager.min.js"></script>
    <script src="~/Content/assets/js/user-detail-min.js"></script>
}
